import 'package:flutter/material.dart';

class QudsRadianButton extends StatelessWidget {
  final void Function()? onPressed;
  final FocusNode? focusNode;
  final bool autofocus;
  final MouseCursor? mouseCursor;
  final Widget? child;
  final double? radius;

  const QudsRadianButton(
      {Key? key,
      this.onPressed,
      this.focusNode,
      this.autofocus = false,
      this.mouseCursor,
      this.radius,
      this.child})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Semantics(
      button: true,
      enabled: onPressed != null,
      child: InkResponse(
        focusNode: focusNode,
        autofocus: autofocus,
        canRequestFocus: onPressed != null,
        onTap: onPressed,
        mouseCursor: mouseCursor,
        child: child,
        radius: radius,
      ),
    );
  }
}
